# Uses of Enum Class
org.apache.sysds.runtime.codegen.SpoofCellwise.AggOp

Packages that use SpoofCellwise.AggOp
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.runtime.codegen
org.apache.sysds.runtime.instructions.spark

## Uses of SpoofCellwise.AggOp in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return SpoofCellwise.AggOp
Modifier and Type
Method
Description
`SpoofCellwise.AggOp`
CNodeCell.`getSpoofAggOp()`

## Uses of SpoofCellwise.AggOp in org.apache.sysds.runtime.codegen

Methods in org.apache.sysds.runtime.codegen that return SpoofCellwise.AggOp
Modifier and Type
Method
Description
`SpoofCellwise.AggOp`
SpoofCellwise.`getAggOp()`
`SpoofCellwise.AggOp[]`
SpoofMultiAggregate.`getAggOps()`
`static SpoofCellwise.AggOp`
SpoofCellwise.AggOp.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofCellwise.AggOp[]`
SpoofCellwise.AggOp.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.codegen with parameters of type SpoofCellwise.AggOp
Modifier and Type
Method
Description
`static void`
SpoofMultiAggregate.`aggregatePartialResults(SpoofCellwise.AggOp[] aggOps, MatrixBlock c, MatrixBlock b)`
`static ValueFunction[]`
SpoofMultiAggregate.`getAggFunctions(SpoofCellwise.AggOp[] aggOps)`
`static double`
SpoofMultiAggregate.`getInitialValue(SpoofCellwise.AggOp aggop)`
Constructors in org.apache.sysds.runtime.codegen with parameters of type SpoofCellwise.AggOp
Modifier
Constructor
Description
``
`SpoofCellwise(SpoofCellwise.CellType type, boolean sparseSafe, boolean containsSeq, SpoofCellwise.AggOp aggOp)`
``
`SpoofCUDACellwise(SpoofCellwise.CellType type, boolean sparseSafe, boolean containsSeq, SpoofCellwise.AggOp aggOp, int id, SpoofCUDAOperator.PrecisionProxy ep, SpoofCellwise fallback)`
``
`SpoofMultiAggregate(boolean sparseSafe, SpoofCellwise.AggOp... aggOps)`

## Uses of SpoofCellwise.AggOp in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark with parameters of type SpoofCellwise.AggOp
Modifier and Type
Method
Description
`static AggregateOperator`
SpoofSPInstruction.`getAggregateOperator(SpoofCellwise.AggOp aggop)`